org.apache.xmlbeans.impl.xpath

## Class XPath

- java.lang.Object
- - org.apache.xmlbeans.impl.xpath.XPath

    public class XPath
    extends Object

### Nested Class Summary

Nested Classes
`static class` `XPath.XPathCompileException`

### Field Summary

Fields
`static String` `_DEFAULT_ELT_NS`
`static String` `_NS_BOUNDARY`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static XPath` `compileXPath(String xpath)`
`static XPath` `compileXPath(String xpath, Map<String,String> namespaces)`
`static XPath` `compileXPath(String xpath, String currentNodeVar)`
`static XPath` `compileXPath(String xpath, String currentNodeVar, Map<String,String> namespaces)`
`boolean` `sawDeepDot()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _NS_BOUNDARY

    public static final String _NS_BOUNDARY

See Also:
  Constant Field Values

#### _DEFAULT_ELT_NS

    public static final String _DEFAULT_ELT_NS

See Also:
  Constant Field Values

### Method Detail

#### compileXPath

    public static XPath compileXPath(String xpath)
                              throws XPath.XPathCompileException

Throws:
  `XPath.XPathCompileException`

#### compileXPath

    public static XPath compileXPath(String xpath,
                                     String currentNodeVar)
                              throws XPath.XPathCompileException

Throws:
  `XPath.XPathCompileException`

#### compileXPath

    public static XPath compileXPath(String xpath,
                                     Map<String,String> namespaces)
                              throws XPath.XPathCompileException

Throws:
  `XPath.XPathCompileException`

#### compileXPath

    public static XPath compileXPath(String xpath,
                                     String currentNodeVar,
                                     Map<String,String> namespaces)
                              throws XPath.XPathCompileException

Throws:
  `XPath.XPathCompileException`

#### sawDeepDot

    public boolean sawDeepDot()